﻿using System.Runtime.InteropServices;

namespace pachPower
{
   

    public class pachPower
    {
        [DllImport("coredll.dll", SetLastError = true)]
        static extern int SetSystemPowerState(string psState, int StateFlags, int Options);
      
        const int Reset = 0x00800000;
        const int Off = 0x00020000;
        const int On = 0x00010000;
        const int Suspend = 0x00200000;


        public int SoftReset()
        {
            return SetSystemPowerState(null, Reset, 0x00001000);
        }

        public int PowerOn()
        {
            return SetSystemPowerState(null, On, 0x00001000);
        }

        public int PowerOff()
        {
            return SetSystemPowerState(null, Off, 0x00001000);
        }

        public int PowerSuspend()
        {
            return SetSystemPowerState(null, Suspend, 0x00001000);
        }

    }
}
